package kd.tsc.tsrsc.common.constants;

/**
 * 招聘服务直通车常量类
 *
 * @author jf_hou
 * @since 2022/8/15 18:56
 */
public interface TSRSCMetaDataConstants {


    /**
     * 数据同步记录
     * 集成配置指引内容表单
     */
    String PAGE_DATASYNCRECORD = "tsrsc_datasyncrecord";

    /**
     * 集成配置指引内容表单
     */
    public static final String PAGE_TSRSC_CONFIGGUIDEFORM = "tsrsc_configguideform";

    /**
     * 外部系统连接配置
     */
    public static final String PAGE_TSRSC_SYSTEMCONFIG = "tsrsc_systemconfig";

    /**
     * 外部系统数据集成
     */
    public static final String PAGE_TSRSC_DATAINTEGRATION = "tsrsc_dataintegration";

    /**
     * 配置指引概览页面
     */
    public static final String PAGE_TSRSC_CONFIGGUIDEVIEW = "tsrsc_configguideview";

    /**
     * 图片预览
     */
    public static final String PAGE_TSRSC_IMAGEREVIEW =  "tsrsc_imagereview";

    /**
     * 连接配置
     */
    public static final String PAGE_TSRSC_CONNECTIONCONFIG = "tsrsc_connectionconfig";

    /**
     * 多租户配置
     */
    public static final String PAGE_TSRSC_TENANTCONFIG = "tsrsc_tenantconfig";

    /**
     * 总体简介
     */
    public static final String PAGE_TSRSC_GENERALDESCRIPTION = "tsrsc_generaldescription";

    /**
     * 业务单元配置
     */
    public static final String PAGE_TSRSC_BUSINESSUNITCONFIG = "tsrsc_businessunitconfig";

    /**
     * 开放平台秘钥
     */
    public static final String PAGE_TSRSC_OPENAPICONFIG = "tsrsc_openapiconfig";

    String PAGE_TSRSC_EXTORGCONFIGPOP = "tsrsc_extorgconfigpop";
}
